<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xxl.job.executor.report.mapper.BytedanceAdvertiserHourlyReportMapper">


    <select id="selectMaxHour" resultType="java.lang.Integer">
        select max(stat_hour)
        from
        ctop_bytedance_report_advertiser_hourly
        where advertiser_id = #{accountId}
        and stat_datetime = #{statDate}

    </select>

    <select id="getCost" resultType="java.math.BigDecimal">
        select cost
        from
        ctop_bytedance_report_advertiser_hourly
        where
        advertiser_id = #{accountId}
        and stat_datetime = #{statDate}
        and stat_hour = #{statHour}

    </select>


</mapper>
